package modules;

public class Utils {

	/**
	 * assume signed
	 * @param value
	 * @param length
	 * @return
	 * @throws Exception
	 */
	static byte[] UnsignedIntToByteArray(int value, int length) throws Exception{
		String strBinVal = Integer.toBinaryString(value);
		while(strBinVal.length() < length*8){
			strBinVal = "0" + strBinVal;
		}
		
		byte[] result = new byte[length];
		for(int i =0;  i< length; i++){
			if(i < length){
				result[i] = getAByte(strBinVal.substring(i*8, (i+1)*8));
			}else{
				result[i] = 0;
			}				
		}
		return result;
	}
	
	private static byte getAByte(String abyte){		
		return Byte.parseByte(abyte,2);
	}

	public static byte[] unsignedIntToByteArray(int value, int length) throws Exception{
		return UnsignedIntToByteArray(value, length);
	}
	/**
	 * 
	 * @param allComponents : the components of the packet in the proper order 
	 * @param len : the total length the packet should be;
	 * @return the each component merged (in order) into one byte array
	 */
	static byte[] merge(byte[][] allComponents, int len) {
		byte[] result = new byte[len];
		int i = 0;
		
		for(byte[] component : allComponents){
			for(byte b : component){				
				result[i] = b;
				i++;
			}
		}		
		return result;
	}
}
