package spikes;

import javaCodeGen.ModuleJavaGen;
import MDL.*;
import CodeGen.*;

/**
 * Reads a file called Servo.mdl and 
 * Generates a file called Servo.java
 * @author Galia
 */
public class MDL_to_Module_to_Code_Driver {
	public static void main(String[] args) {
		MDLParser parser= new WASP_Parser(); //this line is WASP specific. 
		Module module = parser.getModule("src\\spikes\\NewFinalIDL"); //is is just the model
		IModuleGen genny= new ModuleJavaGen(module); //this line is JAVA specific
		System.out.println(genny.genCode("src\\spikes\\foo.java"));
	}
}
